Xalan-Java 2.7.1: Class HasPositionalPredChecker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class HasPositionalPredChecker

    java.lang.Object
      |
      +--org.apache.xpath.XPathVisitor
            |
            +--org.apache.xpath.axes.HasPositionalPredChecker

public class HasPositionalPredChecker
extends XPathVisitor

Constructor Summary
`HasPositionalPredChecker()`

Method Summary
`static boolean` | `check(LocPathIterator path)` Process the LocPathIterator to see if it contains variables or functions that may make it context dependent.
`boolean` | `visitFunction(ExpressionOwner owner, Function func)` Visit a function.
`boolean` | `visitPredicate(ExpressionOwner owner, Expression pred)` Visit a predicate within a location path.

Methods inherited from class org.apache.xpath.XPathVisitor
`visitBinaryOperation, visitLocationPath, visitMatchPattern, visitNumberLiteral, visitStep, visitStringLiteral, visitUnaryOperation, visitUnionPath, visitUnionPattern, visitVariableRef`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HasPositionalPredChecker

    public HasPositionalPredChecker()

Method Detail

### check

    public static boolean check(LocPathIterator path)

  Process the LocPathIterator to see if it contains variables or functions that may make it context dependent.
  Parameters:
    `path` - LocPathIterator that is assumed to be absolute, but needs checking.
  Returns:
    true if the path is confirmed to be absolute, false if it may contain context dependencies.

### visitFunction

    public boolean visitFunction(ExpressionOwner owner,
                                 Function func)

  Visit a function.
  Parameters:
    `owner` - The owner of the expression, to which the expression can be reset if rewriting takes place.
    `func` - The function reference object.
  Returns:
    true if the sub expressions should be traversed.
  Overrides:
    visitFunction in class XPathVisitor

### visitPredicate

    public boolean visitPredicate(ExpressionOwner owner,
                                  Expression pred)

  Visit a predicate within a location path. Note that there isn't a proper unique component for predicates, and that the expression will be called also for whatever type Expression is.
  Parameters:
    `owner` - The owner of the expression, to which the expression can be reset if rewriting takes place.
    `pred` - The predicate object.
  Returns:
    true if the sub expressions should be traversed.
  Overrides:
    visitPredicate in class XPathVisitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.